{ pkgs ? import <nixpkgs> {} }:
let
  sp-python = pkgs.python39.withPackages (p: with p; [
    flask 
    flask-restful 
    setuptools
    portalocker
    pytest 
    pytest-mock 
    pytest-datadir
    coverage
    requests
  ]);
in
pkgs.mkShell {
  buildInputs = [
    sp-python
    pkgs.black
  ];
  shellHook = ''
    PYTHONPATH=${sp-python}/${sp-python.sitePackages}
    # maybe set more env-vars
  '';
}